✘✘ GRAYBYTE WORDPRESS FILE MANAGER ✘✘

​🇳​​🇦​​🇲​​🇪♯➤ server366.web-hosting.com ​🇻​♯➤ 4.18.0-553.50.1.lve.el8.x86_64 #1 SMP 🇾​♯➤ 2025

𝗛𝗢𝗠𝗘 𝗜𝗗 ♯➤ 67.223.118.204 ♯➤ 𝗔𝗗𝗠𝗜𝗡 𝗜𝗗 216.73.216.36
𝗢𝗣𝗧𝗜𝗢𝗡𝗦 ♯ CRL ♯➤ 𝗢𝗞 ┃ WGT ♯➤ 𝗢𝗞 ┃ SDO ♯➤ 𝗢𝗙𝗙 ┃ PKEX ♯➤ 𝗢𝗙𝗙
𝗗𝗘𝗔𝗖𝗧𝗜𝗩𝗔𝗧𝗘𝗗 ♯➤ 𝗔𝗟𝗟 𝗪𝗢𝗥𝗞𝗜𝗡𝗚....

𝗛𝗢𝗠𝗘
𝗖𝗨𝗥𝗥𝗘𝗡𝗧 𝗙𝗜𝗟𝗘 : /usr/lib/node_modules/npm/node_modules/libnpx//auto-fallback.js
'use strict'

const Y = require('./y.js')

function mkPosix (opts) {
  return `
command_not_found_${opts.isBash ? 'handle' : 'handler'}() {
  # Do not run within a pipe
  if test ! -t 1; then
    >&2 echo "${Y`command not found: ${'$1'}`}"
    return 127
  fi
  if which npx > /dev/null; then
    echo "${Y`${'$1'} not found. Trying with npx...`}" >&2
  else
    return 127
  fi
  if ! [[ $1 =~ @ ]]; then
    npx --no-install "$@"
  else
    npx "$@"
  fi
  return $?
}`
}

function mkFish (opts) {
  return `
function __fish_command_not_found_on_interactive --on-event fish_prompt
  functions --erase __fish_command_not_found_handler
  functions --erase __fish_command_not_found_setup

  function __fish_command_not_found_handler --on-event fish_command_not_found
    if which npx > /dev/null
        echo "${Y`${'$argv[1]'} not found. Trying with npx...`}" >&2
    else
        return 127
    end
    if string match -q -r @ $argv[1]
        npx $argv
    else
        npx --no-install $argv
    end
  end

  functions --erase __fish_command_not_found_on_interactive
end`
}

module.exports = autoFallback
function autoFallback (shell, fromEnv, opts) {
  if (shell.includes('bash')) {
    return mkPosix({isBash: true, install: opts.install})
  }

  if (shell.includes('zsh')) {
    return mkPosix({isBash: false, install: opts.install})
  }

  if (shell.includes('fish')) {
    return mkFish(opts)
  }

  if (fromEnv) {
    return autoFallback(fromEnv, null, opts)
  }

  console.error(Y`Only Bash, Zsh, and Fish shells are supported :(`)
}


Current_dir [ 𝗡𝗢𝗧 𝗪𝗥𝗜𝗧𝗘𝗔𝗕𝗟𝗘 ] Document_root [ 𝗪𝗥𝗜𝗧𝗘𝗔𝗕𝗟𝗘 ]


[ Back ]
𝗡𝗔𝗠𝗘
𝗦𝗜𝗭𝗘
𝗟𝗔𝗦𝗧 𝗧𝗢𝗨𝗖𝗛
𝗨𝗦𝗘𝗥
𝗦𝗧𝗔𝗧𝗨𝗦
𝗙𝗨𝗡𝗖𝗧𝗜𝗢𝗡𝗦
..
--
1 May 2025 12.38 PM
root / root
0755
locales
--
1 May 2025 12.38 PM
root / root
0755
CHANGELOG.md
27.483 KB
10 Mar 2021 2.36 PM
root / root
0644
LICENSE.md
0.737 KB
10 Mar 2021 2.36 PM
root / root
0644
README.md
6.31 KB
10 Mar 2021 2.36 PM
root / root
0644
auto-fallback.js
1.508 KB
10 Mar 2021 2.36 PM
root / root
0644
child.js
2.2 KB
10 Mar 2021 2.36 PM
root / root
0644
get-prefix.js
1.231 KB
10 Mar 2021 2.36 PM
root / root
0644
index.js
12.617 KB
10 Mar 2021 2.36 PM
root / root
0644
libnpx.1
6.7 KB
10 Mar 2021 2.36 PM
root / root
0644
package.json
2.588 KB
10 Mar 2021 2.36 PM
root / root
0644
parse-args.js
7.096 KB
10 Mar 2021 2.36 PM
root / root
0644
util.js
0.381 KB
10 Mar 2021 2.36 PM
root / root
0644
y.js
0.479 KB
10 Mar 2021 2.36 PM
root / root
0644

✘✘ GRAYBYTE WORDPRESS FILE MANAGER @ 2026 CONTACT ME ✘✘
Static GIF Static GIF